HTMLROFF(1)

NAME
htmlroff - HTML formatting and typesetting

SYNOPSIS
htmlroff [ -iuv ] [ -m name ] [ -r aN ] [ file ... ]

DESCRIPTION
Htmlroff accepts troff(1) input in the named files and formats it as HTML for viewing in a web browser.

If no file argument is given, htmlroff reads the standard input. An argument consisting of a single minus (-) is taken to be a file name corresponding to the standard input. The options are:

-i  Read standard input after the input files are exhausted.

-mname
    Process the macro file /usr/local/plan9/tmac/tmac.name before the input files.

-raN
    Set register a (one character name) to N.

-u  Generate UTF output. By default, htmlroff converts Unicode runes into the corresponding HTML entity sequences (&alpha;, &nbsp;, and so on). Htmlroff invokes tcs(1) for the conversion.

-v  Generate debugging output and warnings about suspicious input.

Most troff input files, especially those using the ms(7) macros, can be used unaltered. In general, the macro file tmac.html should be processed after processing other standard macro files, as in htmlroff -ms -mhtml.

Htmlroff(7) describes the changes to the input language.

Mhtml(7) describes the new macros.

EXAMPLES
Format the Plan 9 web page:

        cd /usr/web/plan9
        htmlroff -mhtml index.tr >index.html

Format a paper:

        cd /sys/doc
        pic auth.ms | tbl | eqn | htmlroff -ms -mhtml >auth.html

FILES

/usr/local/plan9/troff/font/devutf/utfmap
    Mapping from troff two-character names like \(*a to Unicode characters like α.

SOURCE
/usr/local/plan9/src/cmd/htmlroff

SEE ALSO
tcs(1), troff(1), htmlroff(7), mhtml(7)